Option markets

Option markets and information about them can be queried from the following endpoints:

Get option markets on a chain

get
Query parameters
chainIdnumber ยท enumRequired

Chain ID of the network

Possible values:
Responses
chevron-right
200

List of option markets on specified chain

application/json
deprecatedbooleanRead-onlyRequired
addressstringRead-onlyRequired
primePoolstringRead-onlyRequired
dpFeestringRead-onlyRequired
optionsPricingstringRead-onlyRequired
tokenURIFetcherstringRead-onlyRequired
totalPremiumstringRead-onlyRequired
totalVolumestringRead-onlyRequired
totalFeesstringRead-onlyRequired
pairNamestringRead-onlyRequired
tickerstringRead-onlyRequired
get
/clamm/option-markets
200

List of option markets on specified chain

V1.1 change log:

  1. new chains query parameter replacing chainId that accepts a comma separated array of chain ids i.e "42161,5000" providing the ability to query option markets of multiple chains.

  2. More market stats of the options market are included in the response i.e: Total liquidity USD, available liquidity USD, open Interest USD. Check example schema for full list of response data.

Get option markets on chains specified

get
Query parameters
chainsstring[]Required

Chain IDs of networks to query option markets for

Responses
chevron-right
200

List of option markets on specified chain

application/json
deprecatedbooleanRead-onlyRequired
addressstringRead-onlyRequired
primePoolstringRead-onlyRequired
optionsPricingstringRead-onlyRequired
tokenURIFetcherstringRead-onlyRequired
pairNamestringRead-onlyRequired
tickerstringRead-onlyRequired
chainIdnumberRead-onlyRequired
poolsobject[]Read-onlyRequired
feeStrategyobjectRead-onlyRequired
premiums24hnumberRead-onlyRequired
volume24hnumberRead-onlyRequired
protocolFees24hnumberRead-onlyRequired
totalLiquiditynumberRead-onlyRequired
availableLiquiditynumberRead-onlyRequired
openInterestnumberRead-onlyRequired
get
/v1.1/clamm/option-markets
200

List of option markets on specified chain

Last updated

Was this helpful?